Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1442516 - Review Request: nodejs-cache-base - Basic object cache with get, set, del, and has methods
Summary: Review Request: nodejs-cache-base - Basic object cache with get, set, del, an...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1442505 1442507 1442513 1442514
Blocks: nodejs-reviews Node-RED 1442526
TreeView+ depends on / blocked
 
Reported: 2017-04-15 01:53 UTC by Jared Smith
Modified: 2017-09-25 20:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-25 20:32:38 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jared Smith 2017-04-15 01:53:31 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-cache-base/nodejs-cache-base.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-cache-base/nodejs-cache-base-1.0.0-1.fc27.src.rpm
Description: Basic object cache with get, set, del, and has methods
Fedora Account System Username: jsmith

Comment 1 Robert-André Mauchin 2017-09-15 15:01:16 UTC
A lot of tests fail:

  26 passing (43ms)
  18 failing
  1) cache-base constructor: should set :
     AssertionError: undefined == 1
      at Context.<anonymous> (test/test.js:32:14)
  2) cache-base get/set: set() - add: should set a new property with the given value:
     AssertionError: undefined == 1
      at Context.<anonymous> (test/test.js:50:16)
  3) cache-base get/set: set() - update: should update an existing property with the given value:
     AssertionError: undefined == 2
      at Context.<anonymous> (test/test.js:57:16)
  4) cache-base get/set: set() - update: should get the given property:
     AssertionError: undefined == 'b'
      at Context.<anonymous> (test/test.js:62:16)
  5) cache-base .union() should union a string value:
     TypeError: union-value expects the first argument to be an object.
      at unionValue (/usr/lib/node_modules/union-value/index.js:10:11)
      at Cache.union (index.js:119:5)
      at Context.<anonymous> (test/test.js:69:11)
  6) cache-base .union() should union multiple string values:
     TypeError: union-value expects the first argument to be an object.
      at unionValue (/usr/lib/node_modules/union-value/index.js:10:11)
      at Cache.union (index.js:119:5)
      at Context.<anonymous> (test/test.js:74:11)
  7) cache-base .union() should union multiple arrays:
     TypeError: union-value expects the first argument to be an object.
      at unionValue (/usr/lib/node_modules/union-value/index.js:10:11)
      at Cache.union (index.js:119:5)
      at Context.<anonymous> (test/test.js:81:11)
  8) cache-base .union() should union nested string values:
     TypeError: union-value expects the first argument to be an object.
      at unionValue (/usr/lib/node_modules/union-value/index.js:10:11)
      at Cache.union (index.js:119:5)
      at Context.<anonymous> (test/test.js:88:11)
  9) cache-base .union() should union and uniquify arrays:
     TypeError: union-value expects the first argument to be an object.
      at unionValue (/usr/lib/node_modules/union-value/index.js:10:11)
      at Cache.union (index.js:119:5)
      at Context.<anonymous> (test/test.js:95:11)
  10) cache-base .set() should set a value:
     AssertionError: undefined == 'b'
      at Context.<anonymous> (test/test.js:105:14)
  11) cache-base .set() should set properties on the `cache` object.:
     AssertionError: undefined == 'b'
      at Context.<anonymous> (test/test.js:110:14)
  12) cache-base .set() should allow an object to be set directly.:
     AssertionError: undefined == 'y'
      at Context.<anonymous> (test/test.js:115:14)
  13) cache-base .set() should set nested properties on the `cache` object.:
     TypeError: Cannot read property 'd' of undefined
      at Context.<anonymous> (test/test.js:121:32)
  14) cache-base .set() should return `this` for chaining:
     AssertionError: undefined == 'bb'
      at Context.<anonymous> (test/test.js:130:14)
  15) cache-base .get() should get a value:
     AssertionError: undefined == 'b'
      at Context.<anonymous> (test/test.js:147:14)
  16) cache-base .get() should get a nested property value:
     TypeError: Cannot read property 'b' of undefined
      at Context.<anonymous> (test/test.js:152:25)
  17) events get should emit the value with "get" events:
     AssertionError: undefined == 'b'
      at Cache.<anonymous> (test/test.js:208:16)
      at Cache.Emitter.emit (/usr/lib/node_modules/component-emitter/index.js:134:20)
      at Cache.get (index.js:150:10)
      at Context.<anonymous> (test/test.js:212:11)
  18) events has should emit the value with "has" events:
      AssertionError: false == true
      + expected - actual
      +true
      -false
      
      at Cache.<anonymous> (test/test.js:235:16)
      at Cache.Emitter.emit (/usr/lib/node_modules/component-emitter/index.js:134:20)
      at Cache.has (index.js:178:10)
      at Context.<anonymous> (test/test.js:239:11)

Comment 2 Jared Smith 2017-09-22 13:46:03 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-cache-base/nodejs-cache-base.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-cache-base/nodejs-cache-base-1.0.0-2.fc28.src.rpm

I'm still not sure why you were seeing test failures -- it's working fine for me both locally and in mock and in this scratch-build: https://koji.fedoraproject.org/koji/taskinfo?taskID=22022468

Comment 3 Robert-André Mauchin 2017-09-23 08:15:57 UTC
I think I had inçompatibilities between all the nodejs packages installed in my mock chroot.

Package accepted.

Comment 4 Jared Smith 2017-09-23 22:29:15 UTC
'Requested package in ticket https://pagure.io/releng/fedora-scm-requests/issue/1565'

Comment 5 Gwyn Ciesla 2017-09-24 17:22:26 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nodejs-cache-base

Comment 6 Jared Smith 2017-09-25 20:32:38 UTC
In rawhide, closing bug


Note You need to log in before you can comment on or make changes to this bug.